Subject: [nemo] Behavior of HA

From: MATSUMOTO Taisuke <[email-masked]>
Date: Wed, 05 Nov 2003 12:22:04 +0000

Dear NEMO WG members,

I'm trying to implement the NEMO protocol stack, and I find a 
problem.

I set up my test network according to the figure 1 in the basic 
support draft page 28. See below.

  +-------------------+ 3:: 2+-------+
  |     Internet      |------| CN_MR |
  +-------------------+      +-------+
          4::      |
                   |
    2+-------------+3
  +--+-+       +---+---+
  | MR |       | HA_MR |
  +--+-+       +-------+
 5:: |1
 ----------
     2| 
   +--+-+
   | LFN|
   +--+-+

I tried to run the MR in the explicit prefix length mode. When 
the mobile router was attached to the foreign link, the MR tried 
to send the binding update message which consists of '5::1' for 
the home address and '64' for the prefix length.

But the HA rejected that BU message and returned the BA message 
with the status code 132. This behavior is defined in the section 
10.3.1 of the mobile IPv6 draft, draft-ietf-mobileip-ipv6-24.txt.

The explicit prefix length mode uses the IP address of the ingress 
interface as the home address of the mobile router. In this case, 
the IP address of the ingress interface is not an on-link IP 
address of the HA.

So, I think that some schemes to avoid that restriction of the 
mobile IPv6 specifications is required for the NEMO basic support.

Best regards,
Taisuke MATSUMOTO

---

From: cam <[email-masked]>
Date: Wed, 05 Nov 2003 19:11:37 -0000

On Wed, 05 Nov 2003 12:22:04 +0000, MATSUMOTO Taisuke 
<[email-masked]> wrote:

> I'm trying to implement the NEMO protocol stack, and I find a problem.
>
> I set up my test network according to the figure 1 in the basic support 
> draft page 28. See below.
>
>     2|   +--+-+
>   +--+-+>>
> I tried to run the MR in the explicit prefix length mode. When the 
> mobile router was attached to the foreign link, the MR tried to send the 
> binding update message which consists of '5::1' for the home address and 
> '64' for the prefix length.
>
> But the HA rejected that BU message and returned the BA message with the 
> status code 132. This behavior is defined in the section 10.3.1 of the 
> mobile IPv6 draft, draft-ietf-mobileip-ipv6-24.txt.
>
>
> interface as the home address of the mobile router. In this case, the IP 
> address of the ingress interface is not an on-link IP address of the HA.

As a side issue, am I right in saying that the assumption for Explicit 
Prefix Length Mode is that the Home Address is the address on the MR's 
ingress interface?  This is something that confused me when I recently 
read the NEMO spec.  I had thought, as with MIPv6, that the Home Address 
would be the address on the egress interface and so, couldn't see how the 
prefix could be obtained from the Home Address.

Should the spec make this clear?

Cheers,
cam
-- 
[email-masked]

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 7 Nov 2003 08:04:53 -0000

> 
> 
> MATSUMOTO Taisuke wrote:
> > Hi Vijay,
> > 
> > Thank you for your response.
> > 
> > 
> >>yes. the mobile IPv6 restriction needs to be relaxed. currently 
> >>section 10.3.1 of MIPv6 says
> >>
> >>       if the home address for the binding (the Home Address field
> >>       in the packet's Home Address option) is not an on-link IPv6
> >>       address with respect to the home agent's current 
> Prefix List, then
> >>       the home agent MUST reject the Binding Update and 
> SHOULD return a
> >>       Binding Acknowledgement to the mobile node, in which 
> the Status
> >>       field is set to 132 (not home subnet).
> >>
> >>for Nemo, the Home Agent should not reject the Binding if the home 
> >>address is from a prefix that has been delegated to a Mobile Router.
> >>
> > 
> > I think that your comment is reasonabie. But I have another
> > question how to know if the prefix is delegated to the mobile 
> > router. If it should be pre-configured in the home agent, it makes 
> > the explicit prefix length mode lose an advantage to the implicit 
> > mode.
> 
> looks like what I suggested earlier might not be a good idea 
> at all. instead, here is another proposal.
> 
>     Mobile IPv6 specifies that the Home Agent should reject a Binding
>     Update if the home address in the received Binding Update is not
>     an on-link IPv6 address with respect to the prefixes being
>     advertised on the home link. This document relaxes this 
> restriction
>     so that the Home Agent should reject the Binding Update 
> only if the
>     home address does not belong to the home prefix that the 
> Home Agent
>     is serving.
> 
> this is more generic. the Home Agent knows the home prefix 
> that it is serving. if the Mobile Network Prefix is a subset 
> of this prefix, then the Home Agent should accept binding 
> updates from addresses configured from the Mobile Network 
> Prefix. the Home Agent has to just verfiy that the home 
> address belongs to the prefix it is serving.
> 
> comments?
> 

This is when the terminology introduced in the usage draft could be
useful. There can be a Home link serving as Home Network for MIP
purposes, but your text refers to the extended or aggregated Home
Networks :) Note that basic -00 had specific text about this that case:

"   The Home Network is configured on a physical interface as defined in
   MIPv6.  A Mobile Router may own a Home Address that is built out of
   the Home Network prefix and use it for Nemo registration and to come
   back Home.  In that case, the Home Network Prefix and prefix length
   are used in the Binding Update.

   A Mobile Router owns one or several Mobile Networks.  It may form
   extended Home Addresses from the prefixes of its Mobile Network(s)
   and register them to the Home Agent using the extended Home Network
   prefix and prefix length.  An extended Home Address may be used for
   only one registration that it identifies uniquely, regardless of the
   Home Agent, as for normal Home Addresses
"

What do you think?

Pascal

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 7 Nov 2003 08:04:53 -0000

What do you think?

Pascal